#include <iostream>
#include <fstream>

using std::cout;

class QuotesFinder {
    std::istream &in_stream;
    bool is_it_in_quote = false;

public:
    QuotesFinder() = delete;
    QuotesFinder(QuotesFinder&&) = default;
    QuotesFinder(QuotesFinder const&) = default;

    explicit QuotesFinder(std::istream &is) : in_stream(is) {}

    [[nodiscard]]
    bool eof() const {
        return in_stream.eof();
    }

    QuotesFinder& operator >> (std::ostream& out_stream) {
        char buffer;
        in_stream.get(buffer);

        if (buffer == '\"' || buffer == '\'') {
            if (is_it_in_quote) {
                is_it_in_quote = false;
                out_stream << buffer;
                out_stream << "\n";
                return *this;
            }

            is_it_in_quote = true;
        }

        if (is_it_in_quote) {
            out_stream << buffer;
        }
        return *this;
    }
};

int main() {
    std::ifstream file("data.txt");
    if (!file.is_open()) {
        cout << "File is not exits!";
        return 1;
    }

    QuotesFinder finder(file);
    while (!finder.eof())
        finder >> cout;
}
